Page MenuHomePhabricator

JSHint: Clean up .jshintignore
Closed, ResolvedPublic

Description

In JSHint we allow

		"strictEqual": true,
		"deepEqual": true,
		"ok": true,

We should remove these and fix the tests that make use of them. We shouldn't use globals for things that are not libraries.

Note mwMobileFrontendConfig can also be removed.


Version: unspecified
Severity: normal

Details

Reference
bz71714

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:49 AM
bzimport set Reference to bz71714.
Jdlrobson created this task.Oct 6 2014, 7:04 PM

Change 165346 had a related patch set uploaded by Jdlrobson:
WIP: Cleanup jshintrc

https://gerrit.wikimedia.org/r/165346

Change 165369 had a related patch set uploaded by Jdlrobson:
Hygiene: Refactor tests / jshintrc to not use globals

https://gerrit.wikimedia.org/r/165369

Change 165346 abandoned by Jdlrobson:
WIP: Cleanup jshintrc

https://gerrit.wikimedia.org/r/165346

Change 165369 merged by jenkins-bot:
Hygiene: Refactor tests / jshintrc to not use globals

https://gerrit.wikimedia.org/r/165369

Danny_B moved this task from Unsorted to Cleanup on the Technical-Debt board.Apr 21 2016, 8:40 PM